﻿@using Entidades;
@model List<OrdenDePago>
@{

}
<div class="panel panel-default">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <h1>Ordenes de pago</h1>
                    <a type="button" class="btn btn-outline-primary" asp-controller="OrdenDePago" asp-action="FormEditar">
                        Registrar Nueva Orden de Pago
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-file-earmark-text" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path d="M4 0h5.5v1H4a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V4.5h1V14a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"></path>
                            <path d="M9.5 3V0L14 4.5h-3A1.5 1.5 0 0 1 9.5 3z"></path>
                            <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"></path>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>

    @if (Model.Count() == 0)
    {
        <p> No hay Ordenes Registrados</p>
    }
    else
    {
        <table class="table table-hover">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Monto</th>
                    <th scope="col">Moneda</th>
                    <th scope="col">Estado</th>
                    <th scope="col">Fecha de Pago</th>
                    <th scope="col">&nbsp;</th>
                </tr>
            </thead>
            <tbody>
                @for (int i = 0; i < Model.Count(); i++)
                {
                <tr>
                    <th scope="row">@(i+1)</th>
                    <td>@Model[i].Monto  </td>
                    <td>@Model[i].Moneda  </td>
                    <td>@Model[i].Estado </td>
                    <td>@Model[i].fechaPago.ToString("dd-MM-yyyy")     </td>
                    <td>
                        <a type="button" class="btn btn-outline-primary" asp-controller="OrdenDePago" asp-action="FormEditar" asp-route-id="@Model[i].IdOrden">
                            <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"></path>
                            </svg>
                        </a>
                    </td>
                </tr>
                }
            </tbody>
        </table>

    }
</div>


